library(ggplot2)
require(reshape2)

data <- read.table("data/arousal_wide.txt", comment.char="#", header=TRUE)
arousal_long <- melt(data, id = "participant")

arousal_long$variable <- factor(arousal_long$variable,
                                levels = c('AR','VR', 'RR'),ordered = TRUE)

bplot <- ggplot(arousal_long, aes(x=variable, y=value, fill=variable)) +
  guides(fill=F) +   
  geom_boxplot(width=0.4,  outlier.size = 1) + 
  scale_fill_grey(start = .9, end = 0) + 
  theme_bw() +
 
  ggtitle("Arousal") +
  
  theme() +
  labs(x = "") + 
  labs(y = "")+
  theme(plot.title = element_text(size=20,lineheight=2, face="bold"),
        axis.text=element_text(size=14),axis.text.x=element_blank(),
        axis.title=element_text(size=14))+
  ylim("1","2","3","4","5","6","7","8","9")+
 
  theme(axis.ticks.x=element_blank())

print(bplot)