library(ggplot2)
require(reshape2)

data <- read.table("data/hr_wide.txt", comment.char="#", header=TRUE)
hr_long <- melt(data, id = "participant")

hr_long$variable <- factor(hr_long$variable,
                            levels = c('AR','VR', 'RR'),ordered = TRUE)

bplot <- ggplot(hr_long, aes(x=variable, y=value, fill=variable)) +
  guides(fill=F) +   
  geom_boxplot(width=0.4,  outlier.size = 1) + 
  scale_fill_grey(start = .9, end = 0) + 
  theme_bw() +
  
  ggtitle("Heart rate") +
  theme(plot.title = element_text(size=20,lineheight=2, face="bold")) +
  labs(x = "") + 
  labs(y = "Beats per minute")+
  theme(axis.text=element_text(size=14),axis.text.x=element_blank(),
        axis.title=element_text(size=14),
        axis.title.y = element_text(size=20),
        plot.title = element_text(size=20,lineheight=2, face="bold"),
        axis.text.x=element_blank(),
        axis.ticks.x = element_blank(),
        axis.title=element_text(size=14))

print(bplot)