library(ggplot2)
require(reshape2)

data <- read.table("data/scl_wide.txt", comment.char="#", header=TRUE)
scl_long <- melt(data, id = "participant")

scl_long$variable <- factor(scl_long$variable,
                                levels = c('AR','VR', 'RR'),ordered = TRUE)

bplot <- ggplot(scl_long, aes(x=variable, y=value, fill=variable)) +
  guides(fill=F) +   
  geom_boxplot(width=0.4,  outlier.size = 1) + 
  scale_fill_grey(start = .9, end = 0) + 
  theme_bw() +
  
  ggtitle("Skin conductance") +
  theme(plot.title = element_text(size=20,lineheight=2, face="bold")) +
  labs(x = "") + 
  labs(y = "Microsiemens")+
  theme(axis.text=element_text(size=14),axis.text.x=element_blank(),
        axis.title=element_text(size=14),
        axis.title.y = element_text(size=20),
        plot.title = element_text(size=20,lineheight=2, face="bold"),
        axis.text.x=element_blank(),
        axis.ticks.x = element_blank(),
        axis.title=element_text(size=14))

print(bplot)
ggsave("/home/gaetan/IRIDIA/phd_thesis/figures/reality_gap/exp1_boxplot_eda.pdf", width=4.5, height=4.5)

